# Uses of Interface
org.eclipse.jface.text.contentassist.IContextInformation

Packages that use IContextInformation
Package
Description
org.eclipse.jface.contentassist
Provides a content assist add-on for implementors of `IContentAssistSubjectControl`.
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IContextInformation in org.eclipse.jface.contentassist

Methods in org.eclipse.jface.contentassist that return IContextInformation
Modifier and Type
Method
Description
`IContextInformation[]`
ISubjectControlContentAssistProcessor.`computeContextInformation(IContentAssistSubjectControl contentAssistSubjectControl, int documentOffset)`
Deprecated.
Methods in org.eclipse.jface.contentassist with parameters of type IContextInformation
Modifier and Type
Method
Description
`void`
ISubjectControlContextInformationPresenter.`install(IContextInformation info, IContentAssistSubjectControl contentAssistSubjectControl, int offset)`
Deprecated.
`void`
ISubjectControlContextInformationValidator.`install(IContextInformation info, IContentAssistSubjectControl contentAssistSubjectControl, int offset)`
Deprecated.
`void`
SubjectControlContextInformationValidator.`install(IContextInformation contextInformation, IContentAssistSubjectControl contentAssistSubjectControl, int offset)`
Deprecated.
`void`
SubjectControlContextInformationValidator.`install(IContextInformation contextInformation, ITextViewer viewer, int offset)`
Deprecated.

## Uses of IContextInformation in org.eclipse.jface.text.contentassist

Classes in org.eclipse.jface.text.contentassist that implement IContextInformation
Modifier and Type
Class
Description
`final class`
`ContextInformation`
A default implementation of the `IContextInformation` interface.
Methods in org.eclipse.jface.text.contentassist that return IContextInformation
Modifier and Type
Method
Description
`IContextInformation[]`
IContentAssistProcessor.`computeContextInformation(ITextViewer viewer, int offset)`
Returns information about possible contexts based on the specified location within the document that corresponds to the current cursor position within the text viewer.
`IContextInformation`
CompletionProposal.`getContextInformation()`
`IContextInformation`
ICompletionProposal.`getContextInformation()`
Returns optional context information associated with this proposal.
Methods in org.eclipse.jface.text.contentassist with parameters of type IContextInformation
Modifier and Type
Method
Description
`void`
ContextInformationValidator.`install(IContextInformation contextInformation, ITextViewer viewer, int offset)`
`void`
IContextInformationPresenter.`install(IContextInformation info, ITextViewer viewer, int offset)`
Installs this presenter for the given context information.
`void`
IContextInformationValidator.`install(IContextInformation info, ITextViewer viewer, int offset)`
Installs this validator for the given context information.
Constructors in org.eclipse.jface.text.contentassist with parameters of type IContextInformation
Modifier
Constructor
Description
``
`CompletionProposal(String replacementString, int replacementOffset, int replacementLength, int cursorPosition, Image image, String displayString, IContextInformation contextInformation, String additionalProposalInfo)`
Creates a new completion proposal.

## Uses of IContextInformation in org.eclipse.jface.text.templates

Methods in org.eclipse.jface.text.templates that return IContextInformation
Modifier and Type
Method
Description
`IContextInformation[]`
TemplateCompletionProcessor.`computeContextInformation(ITextViewer viewer, int documentOffset)`
`IContextInformation`
TemplateProposal.`getContextInformation()`

## Uses of IContextInformation in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return IContextInformation
Modifier and Type
Method
Description
`IContextInformation[]`
HippieProposalProcessor.`computeContextInformation(ITextViewer viewer, int offset)`